Bug 474407 - RHEL4 Schedd hangs on condor_rm
RHEL4 Schedd hangs on condor_rm
Status: CLOSED ERRATA
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: grid (Show other bugs)
1.0
All Linux
urgent Severity urgent
: 1.1
: ---
Assigned To: Matthew Farrellee
Jeff Needle
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-03 13:01 EST by Matthew Farrellee
Modified: 2009-02-04 11:04 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-04 11:04:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matthew Farrellee 2008-12-03 13:01:49 EST
Version-Release number of selected component (if applicable):

# rpm -q condor qmf
condor-7.2.0-0.7.el4
qmf-0.3.722122-4.el4


How reproducible:

100%


Steps to Reproduce:
1. env _CONDOR_SCHEDD.PLUGINS=/usr/lib64/condor/plugins/MgmtScheddPlugin-plugin.so _CONDOR_ALL_DEBUG=D_FULLDEBUG _CONDOR_SCHEDD_NAME=test QMF_DEBUG_LEVEL=5 condor_schedd -t -f
2. env _CONDOR_SCHEDD_NAME=test condor_submit
executable = /bin/sleep
arguments = 1000
notification = never
queue 1
^D
3. condor_rm -a


Actual results:

schedd hangs, needs -KILL


Expected results:

success!


Additional info:

This is likely related to other QMF/qpidc hangs
Comment 1 Matthew Farrellee 2008-12-08 14:39:35 EST
This appears fixed in 7.2.0-0.8 with the -I.../qpid-boost compilation on RHEL4
Comment 4 errata-xmlrpc 2009-02-04 11:04:10 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-0036.html

Note You need to log in before you can comment on or make changes to this bug.